Subject: boot problems on pseries

From: Mark Fasheh <[email-masked]>
Date: Tue, 8 Aug 2006 18:36:09 -0700

Hello,
	So I do most of my work on some IBM JS20 powerpc blades. They
usually run a git kernel on a stock RHEL4 distribution. The contents of
/proc/cpuinfo is:

processor       : 0
cpu             : PPC970, altivec supported
clock           : 1600.000000MHz
revision        : 2.2 (pvr 0039 0202)

processor       : 1
cpu             : PPC970, altivec supported
clock           : 1600.000000MHz
revision        : 2.2 (pvr 0039 0202)

timebase        : 199837651
platform        : pSeries
machine         : CHRP IBM,8842-21X

Recently, I discovered that newer kernels would no longer fully boot.
There's no oops or panic message and they get through most of the kernel
initialization before simply hanging. I spent some quality time today with
git-bisect, and traced the badness down to this commit:

0ebfff1491ef85d41ddf9c633834838be144f69f is first bad commit
diff-tree 0ebfff1491ef85d41ddf9c633834838be144f69f (from
f63e115fb50db39706b955b81e3375ef6bab2268)
Author: Benjamin Herrenschmidt <[email-masked]>
Date:   Mon Jul 3 21:36:01 2006 +1000

    [POWERPC] Add new interrupt mapping core and change platforms to use it

    ...

A quick look through the patch didn't yield anything interesting to my eyes.

I tried booting a kernel built from the powerpc.git repository, and can
confirm that nothing in there fixes the problem. A search of this mailing
list didn't reveal anything either. Attached is my kernel .config and a cut
and paste of the boot log. Any insight would be greatly appreciated.
	--Mark

--
Mark Fasheh
Senior Software Developer, Oracle
[email-masked]